# Remove manual MX redirection

This function lets you create a manual Exim mail exchanger (MX) redirect for a domain.
An MX redirection lets you bypass the domain's MX lookup via the Domain Name System (DNS).
This function adds the manual redirect entries to the /etc/manualmx file.

Note:

  To remove a domain's manual MX redirection, use the UAPI Email unset_manual_mx_redirect function.

Endpoint: GET /Email/unset_manual_mx_redirects
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The domain for which to add a manual MX redirect entry.

Note:

* To add multiple domain entries, increment the parameter. For example, use the domain, domain-1, and domain-2 parameters.
* For multiple domains, you must include its corresponding mx_host value.
    Example: "example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "unset_manual_mx_redirects"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (object)
    A list of domains and the removed manual MX redirect entries.
    Example: {"example.com":"mailhostexample.com"}

  - `result.data.additionalProperties` (string,null)
    The domain for which the function removed the manual MX redirect entry.

* null — The domain did not have a manual MX redirect entry.

Note:

This return's name is the domain parameter's value.
    Example: "mailhostexample.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


